linuxgurugamer

[1.7.2] Toolbar Continued - Common API for draggable/resizable buttons toolbar

Recommended Posts

5 hours ago, 4x4cheesecake said:

The settings for blizzys toolbar (toolbar positions/buttons) are saved in: KSP_install_directory/GameData/toolbar-settings.dat

lol...right there in front of my face.  I was too smart for my own good and was looking deeper in the mod folders.

Edit: Which begs the question, why would one put a config file in the GameData root, instead of in the mod folder under PluginData?

Edit 2: And, it's all there.  Thanks.

Edited by Brigadier
Update

Share this post


Link to post
Share on other sites
2 hours ago, Brigadier said:

Edit: Which begs the question, why would one put a config file in the GameData root, instead of in the mod folder under PluginData?

I believe for Blizzy's toolbar, the config is there because the mod is quite old and they did not have location directories like they currently have. And in the last few years has only been tweaked to maintain compatibility with KSP version updates.

Share this post


Link to post
Share on other sites
3 minutes ago, BlackHat said:

I believe for Blizzy's toolbar, the config is there because the mod is quite old and they did not have location directories like they currently have. And in the last few years has only been tweaked to maintain compatibility with KSP version updates.

Very likely true.  AFAIK, LinuxGuruGamer has assumed maintenance of this mod and he's very good at making these sort of usability updates.

Share this post


Link to post
Share on other sites
2 hours ago, gamerscircle said:

At the github, there are two different .zip files, which one would I want for 1.5.1 KSP?

The one which has 1.5.1 as the first set of numbers

Share this post


Link to post
Share on other sites
1 hour ago, linuxgurugamer said:

The one which has 1.5.1 as the first set of numbers

Not in this case:

LEHANCs.png

But the one which does not have 1.4.5 in front of it, seem to be the correct one :)

Edited by 4x4cheesecake

Share this post


Link to post
Share on other sites
16 minutes ago, 4x4cheesecake said:

Not in this case:

LEHANCs.png

But the one which does not have 1.4.5 in front of it, seem to be the correct one :)

I'll have to fix that

Edit:  Fixed, I uploaded a build for 1.5.1 as well as a rebuild for 1.6.1 (no changes were made)

Edited by linuxgurugamer

Share this post


Link to post
Share on other sites
1 minute ago, gamerscircle said:

Hey @linuxgurugamer thank you for the update, appreciate it.

Your welcome (bet  you didn't expect a reply this fast)

Share this post


Link to post
Share on other sites
On 2/25/2019 at 6:49 PM, leatherneck6017 said:

@linuxgurugamer Are there any plans to add support for click through blocker?

For the toolbar?  I hadn’t thought about it, I’ve never had a problem with it, maybe that’s because i always put it out of the way.  I’ll have to think about it

Share this post


Link to post
Share on other sites
48 minutes ago, linuxgurugamer said:

For the toolbar?  I hadn’t thought about it, I’ve never had a problem with it, maybe that’s because i always put it out of the way.  I’ll have to think about it

My toolbar is up top to the right of the time warp indicator. I have problems with click through in map view. No biggy, just an idea.

Share this post


Link to post
Share on other sites
7 hours ago, leatherneck6017 said:

My toolbar is up top to the right of the time warp indicator. I have problems with click through in map view. No biggy, just an idea.

It's not a difficult change, but I need to think about adding a dependency like that.  I may have to have 2 versions of the toolbar, one with and one without the click-through protection

Share this post


Link to post
Share on other sites
2 hours ago, linuxgurugamer said:

It's not a difficult change, but I need to think about adding a dependency like that.  I may have to have 2 versions of the toolbar, one with and one without the click-through protection

Do people complain about it? Many of your mods require it. I think it's a fantastic dependency. 

Share this post


Link to post
Share on other sites
22 minutes ago, leatherneck6017 said:

Do people complain about it? Many of your mods require it. I think it's a fantastic dependency. 

I have had complaints from a few people about it

Share this post


Link to post
Share on other sites
27 minutes ago, linuxgurugamer said:

I have had complaints from a few people about it

What is there to complain about? I'm genuinely curious.

Edited by leatherneck6017

Share this post


Link to post
Share on other sites
9 minutes ago, leatherneck6017 said:

What is there to complain about? I'm genuinely curious.

The complaints were about having to install extra mods; they were directed against both the click through blocker and the toolbar controller

Share this post


Link to post
Share on other sites
14 minutes ago, linuxgurugamer said:

The complaints were about having to install extra mods; they were directed against both the click through blocker and the toolbar controller

I'd imagine that those are both very lightweight. Not a valid complaint, IMO. But --\O/--

Share this post


Link to post
Share on other sites

They are, and I'm not too concerned about it, so I'll probably go ahead with the change

 

Share this post


Link to post
Share on other sites

New release, 1.7.18

  • Minor change to add the ClickThroughBlocker
  • Added ClickThroughBlocker as a hard dependency

This adds the dependency to the ClickThroughBlocker (Minimum version of the ClickThroughBlocker needs to be 0.1.7)

Share this post


Link to post
Share on other sites

I just updated Toolbar Controller and this (KSP 1.6.1) and the Blizzy toolbar has disappeared, with all icons returning to the stock toolbar.  I'm working through various mods to see if a conflict has arisen with the updates.  Output Log for info

Share this post


Link to post
Share on other sites
9 minutes ago, Friznit said:

I just updated Toolbar Controller and this (KSP 1.6.1) and the Blizzy toolbar has disappeared, with all icons returning to the stock toolbar.  I'm working through various mods to see if a conflict has arisen with the updates.  Output Log for info

I had the same thing happen as well, on KSP 1.6.1.  I updated the toolbar controller via CKAN and when I started my game, the toolbar disappeared and everything returned to the stock toolbar.

Share this post


Link to post
Share on other sites

Ditto.  Sad face.

 

Edit:  Noticed that ClickThroughBlocker on CKAN is not updated to 0.1.7.  It's still 0.1.6 so I've manually downloaded 0.1.7 from Github and I'm loading now to see if that fixes it.

 

Edit 2:  That did it!

Edited by DoubleUU

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.